//Source file: ServiceBroker.java
//Date: October 2006
//Service Broker Interfaces and Data Types for 3GPP TS 29.198-16 V2.0.0 Release 7

package org.csapi.jr.se.svcbroker;

/**
 * This interface represents a ServiceBroker.<BR>
 *
 */
public interface ServiceBroker extends org.csapi.jr.se.Service {

    /**
     * Creates a ServiceInteraction object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the ServiceInteraction interface.
     */
    org.csapi.jr.se.svcbroker.ServiceInteraction createServiceInteraction();

}
